![alt XOOPS CMS](https://xoops.org/images/logoXoops4GithubRepository.png)

![alt XOOPS CMS](https://xoops.org/images/logoXoopsPhp8.png)

# wgEvents
A XOOPS module for handling events, including online registrations.

## Support

If you like the wgEvents module and thanks to the long process for giving the opportunity to the new module to be created in a moment, consider making a donation to <a href="https://xoops.org/modules/xdonations/" target="_blank" title="Donate to Xoops">Xoops.org</a>

## wgEvents version 1.x

[![Build Status](https://scrutinizer-ci.com/g/ggoffy/wgevents/badges/build.png?b=master)](https://travis-ci.org/ggoffy/wgevents)
[![Jenkins coverage](https://img.shields.io/jenkins/c/https/jenkins.qa.ubuntu.com/address-book-service-utopic-i386-ci.svg)](https://github.com/XoopsModules25x/wgevents)
[![Software License](https://img.shields.io/badge/license-GPL-brightgreen.svg?style=flat)](docs/license.txt)
[![Quality Score](https://img.shields.io/scrutinizer/g/ggoffy/wgblocks.svg?style=flat)](https://scrutinizer-ci.com/g/ggoffy/wgevents)
[![Gem](https://img.shields.io/gem/dt/rails.svg)](XoopsModules25x/wgevents)
[![Latest Version](https://img.shields.io/github/release/XoopsModules25x/wgevents.svg?style=flat)](https://github.com/XoopsModules25x/wgevents/releases/latest)

## Require:
- XOOPS 2.5.11;
- XOOPS Admin 1.2;
- PHP 7.4 or higher;
- MySQL 5.5; -> Minimum Recommended Using InnoDB Version 5.1 or Later

## Info

**wgEvents is ready for PHP 8.0**

## Features
- Creation of events
- Usage of categories for events
- Possibility to customize registration forms with unlimited number of fields
- Detailed permission settings
    - for each group for events, questions, registrations
        - permission to view
        - permission to submit
        - permission to approve
- Mail notification system
    - for users
        - dedicated users per event (e.g. organizer team)
        - for participants of an event
    - for these users
        - registration
        - deregistration
        - modification of registration
        - modification of event
- Usage of waiting lists
- Monitoring of payment status
- Implementation of SimpleCalendar
- Export of list of participants in xlsx or csv file
- All templates are based on bootstrap and fully responsive
- Maintenance tools
- Cloning of module
- Test data included

## Extras

In folder **extras/themes/** you can find the theme **xswatch4_wge** especially prepared for wgEvents

### Tutorial:
Coming soon...

### Translation:
[![Translations on Transifex](https://xoops.org/images/translations-transifex-blue.svg)](https://www.transifex.com/xoops)

Please visit us on https://xoops.org

Current and upcoming "next generation" versions of XOOPS CMS are being crafted on GitHub at: https://github.com/XOOPS
